aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gtksourceview3/APKBUILD
diff options
context:
space:
mode:
authorScrumpyJack <scrumpyjack@me.com>2015-06-12 15:55:00 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2015-06-18 14:47:25 +0000
commitad6a7bf9404da066f2f247eae0613addb3a45e4d (patch)
treee687c0fc6b658c6a653f8bde44f3539146437c51 /testing/gtksourceview3/APKBUILD
parentae627f239bdde6ffbdd31826b19d1811108dc19d (diff)
downloadaports-ad6a7bf9404da066f2f247eae0613addb3a45e4d.tar.gz
aports-ad6a7bf9404da066f2f247eae0613addb3a45e4d.tar.bz2
aports-ad6a7bf9404da066f2f247eae0613addb3a45e4d.tar.xz
testing/gtksourceview3: new aport
A text widget adding syntax highlighting and more to GNOME http://live.gnome.org/GtkSourceView APKBUILD file shamelessly copied from ncopa's gtksourceview2
Diffstat (limited to 'testing/gtksourceview3/APKBUILD')
-rw-r--r--testing/gtksourceview3/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/gtksourceview3/APKBUILD b/testing/gtksourceview3/APKBUILD
new file mode 100644
index 0000000000..2dd6f06037
--- /dev/null
+++ b/testing/gtksourceview3/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gtksourceview3
+pkgver=3.17.2
+pkgrel=0
+pkgdesc="A text widget adding syntax highlighting and more to GNOME"
+url="http://live.gnome.org/GtkSourceView"
+arch="all"
+license="GPL"
+replaces="gtksourceview"
+depends=
+depends_dev="gtk+3.0-dev libxml2-dev"
+makedepends="$depends_dev gobject-introspection-dev"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+source="http://ftp.gnome.org/pub/gnome/sources/gtksourceview/${pkgver%.*}/gtksourceview-$pkgver.tar.xz"
+
+_builddir="$srcdir/gtksourceview-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" -name '*.la' -delete
+}
+md5sums="3849057f94f9e1847035efb1334c2261 gtksourceview-3.17.2.tar.xz"
+sha256sums="c443f6ef0dfda93be27aef43bb4dbafdb5cffcac2971d9dbcf025d9c8fd2733c gtksourceview-3.17.2.tar.xz"
+sha512sums="b9caebee9152ac2c8742d2af09725e6f9a63bd174f503377b1e2feb19fe11f0687da1256dd03fc5c742c1625088c61ed1ec9423a4fdd5f582fe45a4d497ce482 gtksourceview-3.17.2.tar.xz"